Package org.apache.cxf.service.model

# Class DescriptionInfo

java.lang.Object
org.apache.cxf.service.model.AbstractPropertiesHolder
org.apache.cxf.service.model.DescriptionInfo

All Implemented Interfaces:
  `Extensible`, `NamedItem`

public class DescriptionInfo extends AbstractPropertiesHolder implements NamedItem

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DescriptionInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseURI()`
  `List<AbstractDescriptionElement>`
  `getDescribed()`
  `QName`
  `getName()`
  `void`
  `setBaseURI(String u)`
  `void`
  `setName(QName n)`

  ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

  `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DescriptionInfo

    public DescriptionInfo()

- ## Method Details

  - ### setName

    public void setName(QName n)

  - ### getName

    public QName getName()
    Specified by:
      `getName` in interface `NamedItem`

  - ### setBaseURI

    public void setBaseURI(String u)

  - ### getBaseURI

    public String getBaseURI()

  - ### getDescribed

    public List<AbstractDescriptionElement> getDescribed()